test_1w_impl.cpp File Reference
`#include <gtest/gtest.h>`
`#include <utl/com/_1wire_uart.h>`

Go to the source code of this file.

## Classes

class | test_1w::OW
class | test_1w::Test_1w_impl

## Namespaces

| test_1w

## Functions

| test_1w::TEST_F (Test_1w_impl, TestConcept)
| test_1w::TEST_F (Test_1w_impl, TestConstruction)
| test_1w::TEST_F (Test_1w_impl, TestFunctionality)

## Detailed Description

Copyright (C) 2018 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file test_1w_impl.cpp.